Bug 176023 - Make fetch() use "same-origin" credentials by default
Summary: Make fetch() use "same-origin" credentials by default
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: DOM (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: youenn fablet
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2017-08-28 06:19 PDT by Anne van Kesteren
Modified: 2018-07-10 19:52 PDT (History)
12 users (show)

See Also:


Attachments
Patch (17.70 KB, patch)
2018-07-09 20:56 PDT, youenn fablet
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews103 for mac-sierra (2.34 MB, application/zip)
2018-07-09 22:02 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews104 for mac-sierra-wk2 (2.84 MB, application/zip)
2018-07-09 22:11 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews116 for mac-sierra (3.06 MB, application/zip)
2018-07-09 22:50 PDT, Build Bot
no flags Details
Patch (34.80 KB, patch)
2018-07-10 10:57 PDT, youenn fablet
no flags Details | Formatted Diff | Diff
Patch (36.65 KB, patch)
2018-07-10 13:14 PDT, youenn fablet
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews106 for mac-sierra-wk2 (3.44 MB, application/zip)
2018-07-10 14:21 PDT, Build Bot
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Anne van Kesteren 2017-08-28 06:19:50 PDT
See https://github.com/whatwg/fetch/pull/585 for rationale and proposed Fetch Standard change.

Please try to coordinate changing your implementation with others. It's unlikely to be disruptive, but still seems better if it all happens roughly at the same time.
Comment 1 Anne van Kesteren 2018-04-20 07:05:28 PDT
Note: PR landed and test changes landed at https://github.com/w3c/web-platform-tests/pull/9911. It appears that Chrome and Firefox are planning to ship soon.
Comment 2 youenn fablet 2018-07-09 20:56:14 PDT
Created attachment 344659 [details]
Patch
Comment 3 Build Bot 2018-07-09 20:57:38 PDT
Attachment 344659 [details] did not pass style-queue:


ERROR: Source/WebKit/NetworkProcess/NetworkLoadChecker.h:64:  The parameter name "request" adds no information, so it should be removed.  [readability/parameter_name] [5]
Total errors found: 1 in 11 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 4 Build Bot 2018-07-09 22:02:12 PDT
Comment on attachment 344659 [details]
Patch

Attachment 344659 [details] did not pass mac-ews (mac):
Output: https://webkit-queues.webkit.org/results/8490354

New failing tests:
imported/w3c/web-platform-tests/fetch/api/redirect/redirect-referrer.html
http/wpt/resource-timing/rt-cors.worker.html
imported/w3c/web-platform-tests/fetch/api/redirect/redirect-referrer-worker.html
http/tests/inspector/network/resource-mime-type.html
http/wpt/resource-timing/rt-cors.html
Comment 5 Build Bot 2018-07-09 22:02:14 PDT
Created attachment 344664 [details]
Archive of layout-test-results from ews103 for mac-sierra

The attached test failures were seen while running run-webkit-tests on the mac-ews.
Bot: ews103  Port: mac-sierra  Platform: Mac OS X 10.12.6
Comment 6 Build Bot 2018-07-09 22:11:24 PDT
Comment on attachment 344659 [details]
Patch

Attachment 344659 [details] did not pass mac-wk2-ews (mac-wk2):
Output: https://webkit-queues.webkit.org/results/8490376

New failing tests:
http/tests/inspector/network/resource-mime-type.html
Comment 7 Build Bot 2018-07-09 22:11:26 PDT
Created attachment 344665 [details]
Archive of layout-test-results from ews104 for mac-sierra-wk2

The attached test failures were seen while running run-webkit-tests on the mac-wk2-ews.
Bot: ews104  Port: mac-sierra-wk2  Platform: Mac OS X 10.12.6
Comment 8 Build Bot 2018-07-09 22:50:49 PDT
Comment on attachment 344659 [details]
Patch

Attachment 344659 [details] did not pass mac-debug-ews (mac):
Output: https://webkit-queues.webkit.org/results/8490510

New failing tests:
imported/w3c/web-platform-tests/fetch/api/redirect/redirect-referrer.html
http/wpt/resource-timing/rt-cors.worker.html
http/tests/inspector/network/resource-mime-type.html
imported/w3c/web-platform-tests/fetch/api/redirect/redirect-referrer-worker.html
http/wpt/resource-timing/rt-cors.html
Comment 9 Build Bot 2018-07-09 22:50:51 PDT
Created attachment 344669 [details]
Archive of layout-test-results from ews116 for mac-sierra

The attached test failures were seen while running run-webkit-tests on the mac-debug-ews.
Bot: ews116  Port: mac-sierra  Platform: Mac OS X 10.12.6
Comment 10 youenn fablet 2018-07-10 10:57:16 PDT
Created attachment 344711 [details]
Patch
Comment 11 Build Bot 2018-07-10 11:00:16 PDT
Attachment 344711 [details] did not pass style-queue:


ERROR: Source/WebKit/NetworkProcess/NetworkLoadChecker.h:64:  The parameter name "request" adds no information, so it should be removed.  [readability/parameter_name] [5]
Total errors found: 1 in 19 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 12 youenn fablet 2018-07-10 13:14:24 PDT
Created attachment 344718 [details]
Patch
Comment 13 Build Bot 2018-07-10 13:16:00 PDT
Attachment 344718 [details] did not pass style-queue:


ERROR: Source/WebKit/NetworkProcess/NetworkLoadChecker.h:64:  The parameter name "request" adds no information, so it should be removed.  [readability/parameter_name] [5]
Total errors found: 1 in 20 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 14 Build Bot 2018-07-10 14:21:54 PDT
Comment on attachment 344718 [details]
Patch

Attachment 344718 [details] did not pass mac-wk2-ews (mac-wk2):
Output: https://webkit-queues.webkit.org/results/8497764

New failing tests:
accessibility/smart-invert-reference.html
Comment 15 Build Bot 2018-07-10 14:21:56 PDT
Created attachment 344721 [details]
Archive of layout-test-results from ews106 for mac-sierra-wk2

The attached test failures were seen while running run-webkit-tests on the mac-wk2-ews.
Bot: ews106  Port: mac-sierra-wk2  Platform: Mac OS X 10.12.6
Comment 16 youenn fablet 2018-07-10 14:32:42 PDT
Comment on attachment 344718 [details]
Patch

Error is probably unrelated.
Comment 17 WebKit Commit Bot 2018-07-10 19:51:05 PDT
Comment on attachment 344718 [details]
Patch

Clearing flags on attachment: 344718

Committed r233720: <https://trac.webkit.org/changeset/233720>
Comment 18 WebKit Commit Bot 2018-07-10 19:51:07 PDT
All reviewed patches have been landed.  Closing bug.
Comment 19 Radar WebKit Bug Importer 2018-07-10 19:52:40 PDT
<rdar://problem/42053414>